#!/bin/bash

#############################################################################
#
#    Project:  PyAALib-JyAALib Asynchronous Action Library Project
#              http://pyaalib.sourceforge.net/
#              http://jyaalib.sourceforge.net/
#
#
#    License:  PyAALib-JyAALib Asynchronous Action Library
#    Copyright (C) 2005, 2006, 2007, 2008, 2009  Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
#
#
#    This program library is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    and the GNU Lesser General Public License along with this program.  
#    If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
#       File: 
#    Version: 20090428 - Candidate Release 7
#     Author: Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
#
#############################################################################


########################################## To edit
#HOMEPROJECT=/scisoft/users/pieritz/private/Workspace-Development/Workspace-321-redhate4-i686-v20/PyAALib-JyAALib-svn-SOURCEFORGE-HEAD-v2.0
#MACHINEPROGRAMPATH=/sware/exp/scisoft/Automation/redhate4/Program-Files
#JAVAPATH=$MACHINEPROGRAMPATH/jdk1.5.0_06
#JYTHONHOME=/sware/exp/scisoft/Automation/pub/jython-2.2
#PYTHONHOME=$MACHINEPROGRAMPATH/Python-2.4.2


HOMEPROJECT=/home/virtualubuntu/Development-Workspace/Workspace-Python-v2.5/PyAALib-JyAALib-HEAD-SVN-SOURCEFORGE
MACHINEPROGRAMPATH=/sware/exp/scisoft/Automation/redhate4/Program-Files
JAVAPATH=/usr/lib/jvm/java-6-sun-1.6.0.06
JYTHONHOME=/sware/exp/scisoft/Automation/pub/jython-2.2
PYTHONHOME=/usr

########################################## end To edit


HOMEPROJECTMODULES=$HOMEPROJECT/modules
APPLICATION=$HOMEPROJECT/modules/ALTestSuiteAll.py
RUNFOLDER=$HOMEPROJECT/tests


JAVACOMPILER=$JAVAPATH/bin/javac
JAVAMACHINE=$JAVAPATH/bin/java
#JAVAMACHINE=java


JYTHONPATH=$JYTHONHOME/jython.jar
JYTHONMACHINE=$JYTHONHOME/jython


PYTHONPATH=$PYTHONHOME
PYTHONMACHINE=$PYTHONHOME/bin/python


MODULESPATHLOCAL=$HOMEPROJECTMODULES
####################################################


export  CLASSPATH=.:$JYTHONPATH:$MODULESPATHLOCAL:${CLASSPATH}
export  PYTHONPATH=$MODULESPATHLOCAL:${PYTHONPATH}


echo " "
echo "  ###############################################################################################"
echo "      [Running] Python TEST SUITE ALL"
echo "  [Interpreter] $PYTHONMACHINE"
echo "    [Directory] $RUNFOLDER"
echo "  [Application] $APPLICATION"
echo "      [Options] $*"
echo "  ###############################################################################################"
echo " "
echo " "
echo "  Type the options --verbose and --profile to see the results or --help"


mkdir $RUNFOLDER
cd $RUNFOLDER

echo $PYTHONMACHINE  $APPLICATION  $*
$PYTHONMACHINE  $APPLICATION  $*

cd $HOMEPROJECT/modules

